<?php

    include("../../classes/database.class.php");
    include("../../classes/armazemModel.class.php");
    include("../../classes/armazemController.class.php");

    $idArmazem = $_POST["idArmazem"];
    $idUsuario = $_POST["idUsuario"];
    $nome = $_POST["nome"];
    $stockMinimo = $_POST["stockMinimo"];
    $stockNegativo = $_POST["stockNegativo"];
    $nota = $_POST["nota"];

    if($idArmazem == ""){
        $idArmazem = null;
    }
    if($idUsuario == ""){
        $idUsuario = null;
    }
    if($nome == ""){
        $nome = null;
    }
    if($stockMinimo == ""){
        $stockMinimo = null;
    }
    if($stockNegativo == ""){
        $stockNegativo = null;
    }
    if($nota == ""){
        $nota = null;
    }

    $modelo = new ArmazemController($idUsuario, $nome, $stockMinimo, $stockNegativo, $nota);
    $id = $modelo->updateArmazem($idArmazem);
    echo $id;